/*
** Module   : SOAPFaultDetailImpl.java
** Abstract : Implementation for the SOAP-FAULT-DETAIL resource.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CA  20130216 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * A class for implementing the SOAP-FAULT-DETAIL method and attributes.
 */
public class SOAPFaultDetailImpl
extends HandleChain
implements SOAPEntity
{
   /**
    * Gets the X-NODEREF object that refers to the XML underlying a SOAP-HEADER-ENTRYREF object or
    * SOAP-FAULT entry and sets it to the given handle..
    * 
    * @param    xNode
    *           The handle where the resource will be set.
    *           
    * @return   <code>true</code> if the operation was possible.
    */
   public logical getNode(handle xNode)
   {
      // TODO: implement this
      return new logical();
   }

   /**
    * Returns a LONGCHAR that contains the serialized form of the XML underlying the 
    * SOAP-HEADER-ENTRYREF or SOAP-FAULT entry.
    * 
    * @return   See above.
    */
   public longchar getSerialized()
   {
      // TODO: implement this
      return new longchar();
   }
   
   /**
    * Reports if this object is valid for use.  
    *
    * @return   <code>true</code> if we are valid (can be used).
    */
   public boolean isValid()
   {
      // TODO: implement this
      return false;
   }
}